## org.jboss.netty.util
Interface ObjectSizeEstimator

All Known Implementing Classes:
  DefaultObjectSizeEstimator

    public interface ObjectSizeEstimator

Estimates the size of an object in bytes.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`int` `estimateSize(Object o)` Returns the estimated size of the specified object in bytes.

Method Detail

### estimateSize

    int estimateSize(Object o)

  Returns the estimated size of the specified object in bytes.

  Returns:
    a positive integer which represents the size of the specified object in bytes

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.